<template>
  <v-tooltip
    v-model="show"
    top
  >
    <template v-slot:activator="{ on, attrs }">
      <v-btn
        v-bind="{ ...attrs, ...$attrs }"
        v-on="on"
        @click="$emit('click', 1)"
      >
        <slot></slot>
      </v-btn>
    </template>
    <span>{{ tooltip }}</span>
  </v-tooltip>
</template>

<script>
export default {
  inheritAttrs: false,

  props: {
    tooltip: {
      type: String,
      required: true,
      default: ''
    }
  },

  data () {
    return {
      show: false
    }
  }
}
</script>
